Subject: Re: Missing device binding relating to tcp_v4_send_reset?

From: Ben Greear <[email-masked]>
Date: Tue, 10 Aug 2010 07:22:41 -0700

On 08/10/2010 01:48 AM, David Miller wrote:
> From: Ben Greear<[email-masked]>
> Date: Mon, 09 Aug 2010 10:46:26 -0700
>
>> This snippet is from some patches Patrick did for me some time
>> back.  I think the rest of his work has been merged upstream, but
>> this patch was not.  I'm honestly not sure if it's needed or not,
>> but we've been running with it for at least a year or so and it's
>> been working fine for us.
>
> There is no reason at all to force a reply to a packet to
> go out of the same interface as the packet which triggered
> that reply arrived upon.

Ok, in my case I *did* want this behaviour..it makes send-to-self,
BIND_TO_DEVICE and virtual routers and such work properly if I
recall correctly.

Would you consider a sysctl to enable this feature, with it disabled
by default?  Please note there are similar sysctls for ICMP already...

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com